CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::Column::InvalidRowParameter Class Reference

Exception thrown on incorrect row writing request. More...

`#include <Column.h>`

Inheritance diagram for CCfits::Column::InvalidRowParameter:

List of all members.

## Public Member Functions

| InvalidRowParameter (const String &diag, bool silent=true)
| Exception ctor, prefixes the string "FitsError: row offset or length incompatible with column declaration " before the specific message.

## Detailed Description

Exception thrown on incorrect row writing request.

This exception is thrown if the user requests writing more data than a fixed width row can accommodate. An exception is thrown rather than a truncation because it is likely that the user will not otherwise realize that data loss is happening.

## Constructor & Destructor Documentation

CCfits::Column::InvalidRowParameter::InvalidRowParameter | ( | const String & | diag,
|  | bool | silent = `true`
| ) |  |

Exception ctor, prefixes the string "FitsError: row offset or length incompatible with column declaration " before the specific message.

Parameters:

  diag | A specific diagnostic message, usually the column name
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- Column.h
- Column.cxx